Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.exception
Class NotStrictlyPositiveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.exception.MathIllegalNumberException
                              org.apache.commons.math3.exception.NumberIsTooSmallException
                                  org.apache.commons.math3.exception.NotStrictlyPositiveException

All Implemented Interfaces:
  Serializable, ExceptionContextProvider

    public class NotStrictlyPositiveException

extends NumberIsTooSmallException

Exception to be thrown when the argument is negative.

Since:
  2.2
Version:
  $Id: NotStrictlyPositiveException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

Constructor Summary
`NotStrictlyPositiveException(Localizable specific, Number value)` Construct the exception with a specific context.
`NotStrictlyPositiveException(Number value)` Construct the exception.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.NumberIsTooSmallException
`getBoundIsAllowed, getMin`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException
`getArgument`

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotStrictlyPositiveException

    public NotStrictlyPositiveException(Number value)

  Construct the exception.

  Parameters:
    `value` - Argument.

### NotStrictlyPositiveException

    public NotStrictlyPositiveException(Localizable specific,
                                        Number value)

  Construct the exception with a specific context.

  Parameters:
    `specific` - Specific context where the error occurred.
    `value` - Argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.